Compiling Wolfmame Ubuntu-Errors/Issues/Faults/Corrections

Discussion about MARP's regulation play

Moderator: BBH

Post Reply
francoisadt1
Button Masher
Button Masher
Posts: 28
Joined: Sat Jul 19, 2014 8:19 am

Compiling Wolfmame Ubuntu-Errors/Issues/Faults/Corrections

Post by francoisadt1 » Mon Apr 10, 2017 7:31 pm

Hi Barry

I have installed Ubuntu 12 on Windows and GCC 6.

When I type at the prompt # make

then message appear:

root@L0610029558:/usr/src/wolfmame/wolfmamesrc/wolfmame# make
GCC 6.2.0 detected
_

Nothing happens? The script dp not run at all? What input is needed here except "make"
I also did try make=SUBTARGET=arcade

same response:
GCC 6.2.0 detected

?

User avatar
mahlemiut
Editor
Posts: 4114
Joined: Mon Feb 04, 2002 10:05 pm
Location: New Zealand
Contact:

Re: Compiling Wolfmame Ubuntu-Errors/Issues/Faults/Correctio

Post by mahlemiut » Tue Apr 11, 2017 8:58 am

It should work with 'make SUBTARGET=arcade' or just 'make'

I would recommend not being logged in as root, this is not needed to build or run MAME, although that shouldn't stop it building.

Try adding VERBOSE=1 to the make commandline, this will display each build command. Perhaps something is failing silently, although I'd expect make to at least display an error.
Usually, nothing being displayed after GCC x.x.x detected suggests that the build is complete and nothing more needs to be done.
- Barry Rodewald
MARP Assistant Web Maintainer
Image

Post Reply